/*
Theme Name: Shoptimizer Child Theme
Theme URI: 
Description: Child theme of Shoptimizer
Author: CommerceGurus
Author URI: 
Template: shoptimizer
Version: 1.2.1
License:         	GNU General Public License v2 or later
License URI:     	http://www.gnu.org/licenses/gpl-2.0.html
*/

.header-widget-region {
	background-color: #000 !important;
}

/* .header-widget-region, */
#trustpilot-widget-trustbox-2-wrapper,
.hidden {
    display: none !important;
}

.idealo-partner {
    margin-top: 30px;
}

ul#shipping_method li {
    margin-bottom: 20px !important;
}

label[for="shipping_method_0_gls_chezvous"] {
    position: relative;
}

label[for="shipping_method_0_gls_chezvous"]:after {
    content: url(https://outilslebricoleur.fr/wp-content/uploads/2023/10/general-logistics-systems-logo.png);
    max-width: 40px; 
    position: absolute;
    left: 19px;
    top: -10px;
}

label[for="shipping_method_0_gls_chezvous"]:before {
    margin-right: 50px !important;
}

.menu-primary-menu-container #mega-menu-wrap-primary #mega-menu-primary li.menu-promo {
    background: #ec202c;
    border-radius: 3px;
    border: 2px solid #ec202c;
}

.menu-primary-menu-container #mega-menu-wrap-primary #mega-menu-primary li.menu-promo a:hover {
    color: #fff;
}

.menu-primary-menu-container #mega-menu-wrap-primary #mega-menu-primary li.menu-black-friday {
	background: #000;
	border-radius: 3px;
	border: 2px solid #000;
	margin-right: 10px;
}

.menu-primary-menu-container #mega-menu-wrap-primary #mega-menu-primary li.menu-black-friday a:hover {
	color: #fff;
}

.custom_header_message {
	display: flex;
	background: #ec202c;
	color: #fff;
	justify-content: center;
	padding: 10px 0;
	font-size: 14px;
	font-weight: 600;
    text-align: center;
}

.footer-social-icons {
	display: flex;
	gap: 10px;
}

.footer-social-icons img {
	max-width: 50px;
}

footer .widget .gamma.widget-title {
	font-size: 18px;
	font-weight: 600;
	text-transform: uppercase;
}

footer.copyright .widget:last-child img.wp-image-183 {
	height: 35.5px;
}

.below-content .widget.widget_custom_html svg {
	top: -3px;
	left: -5px;
	width: 50px;
	height: 50px;
}

#site-navigation {
    display: flex;
    align-items: center;
}

.tax-product_cat #main {
	display: flex;
	flex-direction: column;
}

.tax-product_cat #main h1 {
    order: 1;
}

.tax-product_cat #main .mobile-filter {
    order: 2;
}

.tax-product_cat #main .shoptimizer-sorting {
    order: 3;
}

.tax-product_cat #main .columns-3 {
    order: 4;
}

.tax-product_cat #main .woocommerce-products-header {
    order: 5;
}

.below-content .widget .widget-title {
    color: #28398a;
}

.product_meta .barcode_wrapper {
	margin: 0 8px;
	color: #111;
}

.product_meta .barcode_wrapper span {
	margin-left: 5px;
	color: #555;
}

.woocommerce-image__wrapper {
    min-height: 278px;
    display: flex;
    align-items: center;
}

.mc4wp-form-fields p:first-child {
    margin-bottom: 10px;
}

.mc4wp-form-fields p:nth-child(2) {
    display: flex;
    align-items: start;
    gap: 5px;
}

footer .mc4wp-form input[type=checkbox] {
    height: 25px;
}

.mobile-extra {
	padding-left: 10px;
}

.shoptimizer-primary-navigation .mobile-extra a {
	font-size: 18px;
	font-weight: bold;
}

.shoptimizer-primary-navigation .mobile-extra h4 {
    font-size: 18px;
    font-weight: 600;
}

body #order_review .checkout_coupon {
    width: 100%;
}

.coupon-form td {
    padding-left: 0;
}

label[for=payment_method_ppcp-gateway] {
    position: relative;
}

label[for=payment_method_ppcp-gateway]:after {
    content: '';
    position: absolute;
    left: 105px;
    bottom: -15px;
    width: 50px;
    height: 100%;
    background-image: url(/wp-content/uploads/2024/02/paypal-color.svg);
    background-repeat: no-repeat;
}

div#ppcp-messages {
    margin-bottom: 1.6em;
    border: 1px dashed grey;
    border-radius: 5px;
    padding: 10px 10px 5px;
}

@media (max-width:992px) {
    .page-id-1078 .elementor-shortcode .mobile-filter {
        display: none;
    }
    
    .page-id-1078 .site-main .elementor-section ul.products {
        width: calc(100% + 30px);
        margin-left: -15px;
    }
    
    .page-id-1078 .woocommerce-notices-wrapper, 
    .page-id-1078 .woocommerce-pagination {
        grid-column: 1/-1;
    }

    .page-id-1078 .woocommerce-result-count {
        order: 1;
    }

    .page-id-1078 .woocommerce-ordering {
        order: 2;
        justify-self: end;
        width: 100%;
    }
}

@media screen and (max-width: 767px) {
	.menu-primary-menu-container #mega-menu-wrap-primary #mega-menu-primary li.menu-black-friday {
		margin-right: 0px;
		margin-bottom: 10px;
	}
	
	.menu-primary-menu-container #mega-menu-wrap-primary #mega-menu-primary li.menu-black-friday a,
    .menu-primary-menu-container #mega-menu-wrap-primary #mega-menu-primary li.menu-promo a {
        color: #fff;
    }

    #page .below-content .widget {
        text-align: center;
    }
    
    .elementor-column.homepage-banner-col-right {
        min-height: 275px;
    }

    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu {
        box-shadow: none;
    }

    .below-content .widget.widget_custom_html svg {
        top: 0px;
        width: 40px;
        height: 40px;
    }

    .site .below-content .widget.widget_custom_html .widget-title {
        padding-left: 45px;
    }

    .below-content .widget.widget_custom_html p {
        padding-left: 45px;
    }

    footer.copyright .widget:last-child img.wp-image-183 {
        max-width: 320px !important;
        height: auto;
    }
}

@media screen and (min-width: 767px) {
    #mega-menu-primary .mega-sub-menu .mega-menu-column-one,
    #mega-menu-primary .mega-sub-menu .mega-menu-column-two {
        border-right: 1px solid #eee !important;
    }
}